#!/bin/sh
# checks the version

version=$1
file=$2
hotfix=$3
is_app=$4
name=$5

if [ ! -f ${file} ]; then
    if [ ${is_app} -eq 1 ]; then
        echo "ERROR: $(date '+%Y-%m-%d %H:%M:%S') - Application not installed!"
    else 
        echo "ERROR: $(date '+%Y-%m-%d %H:%M:%S') - Linux application platform version couldn't be determined!"
    fi
    exit 1
fi

installed=`tr -d '\n\r ' < ${file}`
if [ ${version} != ${installed} ]; then
    echo "ERROR: $(date '+%Y-%m-%d %H:%M:%S') - Hotfix for build ${version} can't be installed on build ${installed}!"
    exit 1
fi
if [ ${is_app} -eq 1 ]; then
    image_installed=0
    if [ -f "/var/www/innovaphone/hotfix" ]; then
        image_installed=`tr -d '\n\r ' < /var/www/innovaphone/hotfix`
    fi
    if [ ${hotfix} -gt ${image_installed} ]; then
        echo "ERROR: $(date '+%Y-%m-%d %H:%M:%S') - Application hotfix${hotfix} requires linux application platform hotfix${hotfix} (currently ${image_installed})!"
        exit 1
    fi
fi
if [ ! $6 ]; then
    echo "LOG: $(date '+%Y-%m-%d %H:%M:%S') - Installing ${name} hotfix${hotfix}"
fi
exit 0